import { jsx } from "react/jsx-runtime";
import { TokenFUSE as TokenFUSE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFUSE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FUSE", "data-name": "TokenFUSE", ...props, children: /* @__PURE__ */ jsx(TokenFUSE$1, { variant }) });
  }
);
TokenFUSE.displayName = "TokenFUSE";
Object.assign(TokenFUSE, { isGdsIcon: true });
export {
  TokenFUSE
};
